### Method

# Gimp Image get_thumbnail

since: 2.2

#### Declaration [src]

    GdkPixbuf*
    gimp_image_get_thumbnail (
      GimpImage* image,
      gint width,
      gint height,
      GimpPixbufTransparency alpha
    )

#### Description [src]

Retrieves a thumbnail pixbuf for `image`. The thumbnail will be not larger than the requested size.

Available since: 2.2

#### Parameters

`width`

  Type: `gint`

  The requested thumbnail width (<= 1024 pixels)

`height`

  Type: `gint`

  The requested thumbnail height (<= 1024 pixels)

`alpha`

  Type: `GimpPixbufTransparency`

  How to handle an alpha channel.

#### Return value

Type: `GdkPixbuf`

A new `GdkPixbuf`.

The caller of the method takes ownership of the data, and is responsible for freeing it.